#include<bits/stdc++.h>

using namespace std;

int n,a[1000009],e,maks,z,k,d,petar;

int main(){
cin>>n;
maks=0;
for(int i=1; i<=n; i++){
    cin>>a[i];
}

for(int i=1; i<=n; i++){
    if (a[i]<9){
        z=i;
        for(int j=n; j>=1; j--){
                if (a[j]>maks){

                        d=j;
                        if(d==z){
                        break;
                    }
                        e=j;
                        maks=a[j];


                }

        }
    break;
    }
}

for(int i=1; i<=n; i++){
    if(a[z]>=a[e]){
        z++;
        if(z==e){
           z--;
           break;
        }
    }
    if(a[z]<a[e]){
        break;
    }
}

if(a[e]==0){
petar=a[n-1];
a[n-1]=a[n];
a[n]=petar;

for(int i=1; i<=n; i++){
cout<<a[i]<<" ";
}
return 0;
}



k=a[e];
a[e]=a[z];
a[z]=k;
for(int i=1; i<=n; i++){
cout<<a[i]<<" ";

}
return 0;
}